---
title: OfflineAudioContext.length
slug: Web/API/OfflineAudioContext/length
tags:
  - API
  - NeedsExample
  - OfflineAudioContext
  - Property
  - Reference
  - Web Audio API
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <strong><code>length</code></strong> property of the {{domxref("OfflineAudioContext")}} interface returns an integer representing the size of the buffer in sample-frames.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var length = OfflineAudioContext.length;</pre>

<h3 id="Value">Value</h3>

<p>An integer representing the size of the buffer in sample-frames.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-offlineaudiocontext-length','length')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OfflineAudioContext.length")}}</p>
